Data Structures | Macros | Typedefs | Functions
example_service_multiple_configurations.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "acc_config.h"`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_processing.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`

Go to the source code of this file.

## Data Structures
struct | example_config

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (1000U)
#define | MAX_DATA_ENTRY_LEN (15U)
#define | NBR_CONFIGS (2U)

## Typedefs
typedef struct example_config | example_config_t

## Functions
static void | print_data (acc_int16_complex_t *data, uint16_t data_length, uint32_t cfg)
static void | cleanup (acc_config_t **config, acc_processing_t **processing, acc_sensor_t *sensor, void *buffer, uint32_t nbr_configs)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ MAX_DATA_ENTRY_LEN

#define MAX_DATA_ENTRY_LEN (15U)

Examples
  example_service_multiple_configurations.c.

Definition at line 49 of file example_service_multiple_configurations.c.

## ◆ NBR_CONFIGS

#define NBR_CONFIGS (2U)

Examples
  example_service_multiple_configurations.c.

Definition at line 50 of file example_service_multiple_configurations.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_service_multiple_configurations.c.

Definition at line 47 of file example_service_multiple_configurations.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (1000U)

Examples
  example_service_multiple_configurations.c.

Definition at line 48 of file example_service_multiple_configurations.c.

## Typedef Documentation

## ◆ example_config_t

typedef struct example_config example_config_t

Examples
  example_service_multiple_configurations.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Surface velocity example application.

Tank level reference application.

Smart presence reference application.

Breathing example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Distance detector low power example.

Detector distance example.

Control helper example.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Examples
  example_service_multiple_configurations.c.

Definition at line 71 of file example_service_multiple_configurations.c.

## ◆ cleanup()

static void cleanup | ( | acc_config_t ** | config,
|  | acc_processing_t ** | processing,
|  | acc_sensor_t * | sensor,
|  | void * | buffer,
|  | uint32_t | nbr_configs
| ) |  |
| static

Examples
  example_service_multiple_configurations.c.

Definition at line 239 of file example_service_multiple_configurations.c.

## ◆ print_data()

static void print_data | ( | acc_int16_complex_t * | data,
|  | uint16_t | data_length,
|  | uint32_t | cfg
| ) |  |
| static

Examples
  example_service_multiple_configurations.c.

Definition at line 270 of file example_service_multiple_configurations.c.